<script setup lang="ts">
useSeoMeta({
  title: 'homepage',
})
</script>

<template>
  <div class="example">
    <div>
      <a href="https://nuxt.com/" target="_blank">
        <img src="~assets/images/nuxt.svg" class="logo" alt="Nuxt logo" />
      </a>
      <HelloWorld msg="Nuxt 3" />
    </div>
  </div>
</template>

<style lang="postcss">
.example {
  font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  min-height: 100vh;
  font-synthesis: none;
  color: #213547;
  background-color: #fff;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
  display: flex;
  place-items: center;

  h1 {
    font-size: 3.2em;
    line-height: 1.1;
  }

  .card {
    padding: 2rem;
  }

  a {
    font-weight: 500;
    color: #646cff;
    text-decoration: inherit;
  }

  a:hover {
    color: #747bff;
  }

  img {
    display: inline-block;
  }

  p {
    margin: 0.5em 0;
  }

  code {
    background-color: #a0a0a060;
    border-radius: 0.25em;
    margin: 0 0.25em;
    padding: 0.125em 0.25em;
    line-height: 1;
  }

  > div {
    margin: auto;
    min-width: 320px;
    text-align: center;
  }

  .logo {
    height: 6em;
    padding: 1.5em;
    will-change: filter;
    transition: filter 300ms;

    &:hover {
      filter: drop-shadow(0 0 2em #42b883aa);
    }
  }
}

.dark .example {
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  a:hover {
    color: #535bf2;
  }
}
</style>
